import { jsx } from "react/jsx-runtime";
import { TokenNXT as TokenNXT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNXT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NXT", "data-name": "TokenNXT", ...props, children: /* @__PURE__ */ jsx(TokenNXT$1, { variant }) });
  }
);
TokenNXT.displayName = "TokenNXT";
Object.assign(TokenNXT, { isGdsIcon: true });
export {
  TokenNXT
};
